org.codehaus.plexus.metadata

## Class DefaultMetadataGenerator

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.metadata.DefaultMetadataGenerator

All Implemented Interfaces:
  LogEnabled, MetadataGenerator

    @Component(role=MetadataGenerator.class)
    public class DefaultMetadataGenerator
    extends AbstractLogEnabled
    implements MetadataGenerator

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultMetadataGenerator()`

### Method Summary

Methods
`void` `generateDescriptor(MetadataGenerationRequest request)`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMetadataGenerator

    public DefaultMetadataGenerator()

### Method Detail

#### generateDescriptor

    public void generateDescriptor(MetadataGenerationRequest request)
                            throws java.lang.Exception

Specified by:
  `generateDescriptor` in interface `MetadataGenerator`
Throws:
  `java.lang.Exception`